package com.heyu.api.data.service.impl.user;
/**
* <p>
* 意见反馈记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.user.UserSuggestionRecordDao;
import com.heyu.api.data.entity.user.UserSuggestionRecordEntity;
import com.heyu.api.data.service.user.UserSuggestionRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class UserSuggestionRecordServiceImpl extends ServiceImpl<UserSuggestionRecordDao, UserSuggestionRecordEntity> implements UserSuggestionRecordService {


    @Autowired
	private UserSuggestionRecordDao userSuggestionRecordDao;



	@Override
	public UserSuggestionRecordEntity selectUserSuggestionRecordById(Long id){
		return userSuggestionRecordDao.selectUserSuggestionRecordById(id);
	}



	@Override
	public Long insertUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord){
		return userSuggestionRecordDao.insertUserSuggestionRecord(userSuggestionRecord);
	}



	@Override
	public Long insertOrUpdateUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord){
		return userSuggestionRecordDao.insertOrUpdateUserSuggestionRecord(userSuggestionRecord);
	}



	@Override
	public int updateUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord){
		return userSuggestionRecordDao.updateUserSuggestionRecordById(userSuggestionRecord);
	}



	@Override
	public int updateCoverUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord){
		return userSuggestionRecordDao.updateCoverUserSuggestionRecordById(userSuggestionRecord);
	}



	@Override
	public int deleteUserSuggestionRecordById(Long id){
		return userSuggestionRecordDao.deleteUserSuggestionRecordById(id);
	}



}
